<?
if($_POST)
{
$id_catalog=0;
$id_region=0;

for($i=0; $i<4; $i++)
	{
	if($_POST['razdel_'.$i]) $id_catalog=intval($_POST['razdel_'.$i]);
	if(isset($_POST['razdel_'.$i])) unset($_POST['razdel_'.$i]);
	
	if($_POST['region_'.$i]) $id_region=intval($_POST['region_'.$i]);
	if(isset($_POST['region_'.$i])) unset($_POST['region_'.$i]);
	
	if(isset($_POST['name_reg_'.$i])) unset($_POST['name_reg_'.$i]);
	if(isset($_POST['name_cat_'.$i])) unset($_POST['name_cat_'.$i]);
	}
	
	
if($_POST['text_search'])
	{
	function _pred ($a)
		{
		$a=strip_tags($a);
		$a=str_replace("`","",$a);
		$a=str_replace("'","",$a);
		$a=str_replace('"',"",$a);
		$a=str_replace("&","",$a);
		$a=str_replace("=","",$a);
		$a=str_replace('javascript',"",$a);
		$a=trim($a);
		$a=urlencode($a);
		return $a;
		}
	$_POST['text_search']=_pred ($_POST['text_search']);
	}	

if(!$_POST['text_search'] && $_POST['sz']) unset($_POST['sz']);
	
$adres = "b_user.php";
$dopt="?";
if($id_catalog || $id_region)
	{
	$adres .= "?id_catalog=".$id_catalog."&id_region=".$id_region;
	$dopt="&";
	}

$no_index_arr = array(
"submit",
"submit_x", 
"submit_y" 
);

$zapros="";
$i=0;
foreach($_POST as $index=>$po)
	{
	if(is_array($po))
		{
		foreach($po as $ind=>$p)
			{
			if($p)
				{
				if($i)
				$zapros .= "&";
				$zapros .= $index."[".$ind."]=".$p;
				$i++;
				}
			}
		}
	else 
		{
		if($po && !in_array($index, $no_index_arr))
			{
			if($i)
			$zapros .= "&";
			$zapros .= $index."=".$po;
			$i++;
			}
		}
	}
}

if($zapros) 
$adr = $adres.$dopt.$zapros;
else 
$adr=$adres;

@header ("Location: ".$adr);

//echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=".$adr."'></HEAD></HTML>";

?>
